import java.awt.*;
import java.applet.*;

public class Library {
   static int WINGDOWS = 0;	/* OS 0 is wingdows */
   static int OFF = -1;	/* OS -1 means the computer is off */
   static int PC = 5;	/* OS >= PC means the OS is a PC OS */
   static int NUM_OS = 9;	/* The number of OSes (not Wingdows) */
   int width, height;		/* size of OS picture*/
   Picture[] os = new Picture[NUM_OS+1];/* array of OS pictures*/
   JBill2 game;
   
   public Library(JBill2 a) {
      game=a;
   }
   
   void load_pix() {
      int i;
      String[] name = {"wingdows", "apple", "next", "sgi", "sun", "os2",
	 "bsd", "linux", "redhat", "hurd"};
      for (i=0; i <= NUM_OS; i++) {
	 os[i] = new Picture(game);
	 os[i].load(name[i]);
      }
      width = os[0].width;
      height = os[0].height;
   }
}
